Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.util
Class AgentLauncher

    java.lang.Object
      ix.util.AgentLauncher

    public class AgentLauncher

extends java.lang.Object

Nested Class Summary
`(package private) static class` | `AgentLauncher.AgentClassLoader`

Field Summary
`(package private) java.lang.String[]` | `agent_argv`
`(package private) java.lang.String` | `agentClassName`
`(package private) java.lang.String` | `jarPath`
`(package private) java.lang.ClassLoader` | `loader`
`(package private) java.util.Map` | `parameters`

Constructor Summary
`AgentLauncher()`

Method Summary
`(package private) java.lang.String` | `findIxDir()`
`(package private) java.lang.String[]` | `getArgv(java.lang.String[] argv)`
`static void` | `main(java.lang.String[] argv)`
`(package private) java.lang.String` | `makeDefaultJarPath(java.lang.String ixDir)`
`(package private) java.net.URLClassLoader` | `makeLoader(java.lang.String jarPath)`
`void` | `startAgent(java.lang.String[] argv)`
`void` | `startAgent(java.lang.String className, java.lang.String[] argv)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### parameters

    java.util.Map parameters

### agentClassName

    java.lang.String agentClassName

### agent_argv

    java.lang.String[] agent_argv

### jarPath

    java.lang.String jarPath

### loader

    java.lang.ClassLoader loader

Constructor Detail

### AgentLauncher

    public AgentLauncher()

Method Detail

### main

    public static void main(java.lang.String[] argv)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### getArgv

    java.lang.String[] getArgv(java.lang.String[] argv)
                         throws java.lang.InterruptedException,
                                java.lang.reflect.InvocationTargetException

  Throws:
    `java.lang.InterruptedException`
    `java.lang.reflect.InvocationTargetException`

### findIxDir

    java.lang.String findIxDir()

### makeDefaultJarPath

    java.lang.String makeDefaultJarPath(java.lang.String ixDir)

### startAgent

    public void startAgent(java.lang.String[] argv)
                    throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### startAgent

    public void startAgent(java.lang.String className,
                           java.lang.String[] argv)
                    throws java.lang.Exception

  Throws:
    `java.lang.Exception`

### makeLoader

    java.net.URLClassLoader makeLoader(java.lang.String jarPath)
                                 throws java.net.MalformedURLException,
                                        java.io.FileNotFoundException

  Throws:
    `java.net.MalformedURLException`
    `java.io.FileNotFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD